Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Class NotAcceptableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.muc.NotAcceptableException

All Implemented Interfaces:
  Serializable

    public class NotAcceptableException

extends Exception

Exception used for representing that the nickname used by the user is not acceptable. The reason for this could be that the user has previously registered with the room and the room is configured so that registered users must join using the reserved nickname. A 406 error code is returned to the user that requested the invalid operation.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`NotAcceptableException()`
`NotAcceptableException(String msg)`
`NotAcceptableException(String msg, Throwable nestedThrowable)`
`NotAcceptableException(Throwable nestedThrowable)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotAcceptableException

    public NotAcceptableException()

### NotAcceptableException

    public NotAcceptableException(String msg)

### NotAcceptableException

    public NotAcceptableException(Throwable nestedThrowable)

### NotAcceptableException

    public NotAcceptableException(String msg,
                                  Throwable nestedThrowable)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.